package com.bc_chat.circle.presenter

import com.bc_chat.bc_base.entity.Hudgens
import com.bc_chat.circle.contract.CircleContract
import com.bc_chat.circle.task.HudgensTask
import com.zhaohaoting.framework.abs.presenter.BasePresenter
import com.zhaohaoting.framework.requset.NetWorkCallBack

/**
 * author：Created by zhaohaoting on 2019/12/10
 * email：526309416@qq.com
 * desc：
 */
class CirclePresenter(view:CircleContract.View) :BasePresenter<CircleContract.View>(view) ,CircleContract.Presenter {
    override fun loadHudgens() {
        taskHelper.execute<Any>(HudgensTask(),object:NetWorkCallBack<List<Hudgens>>(){
            override fun onPostExecuteSuccess(task: Any?, data: List<Hudgens>?) {
                view.loadHudgensSuccess(data)
            }
        })
    }
}